GUIX(1)

NAME
guix - manual page for guix graph (GNU Guix) 1.4.0rc2

SYNOPSIS
guix graph PACKAGE...

DESCRIPTION
Emit a representation of the dependency graph of PACKAGE...

-b, --backend=TYPE
    produce a graph with the given backend TYPE

--list-backends
    list the available graph backends

-t, --type=TYPE
    represent nodes of the given TYPE

--list-types
    list the available graph types

-M, --max-depth=DEPTH
    limit to nodes within distance DEPTH

--path
    display the shortest path between the given nodes

-e, --expression=EXPR
    consider the package EXPR evaluates to

-L, --load-path=DIR
    prepend DIR to the package module search path

--help-transform
    list package transformation options not shown here

-h, --help
    display this help and exit

-V, --version
    display version information and exit

--list-systems
    list available systems

-s, --system=SYSTEM
    attempt to build for SYSTEM--e.g., "i686-linux"

REPORTING BUGS
Report bugs to: bug-guix@gnu.org.
GNU Guix home page: <https://www.gnu.org/software/guix/>
General help using Guix and GNU software: <https://guix.gnu.org/en/help/>

COPYRIGHT
Copyright © 2022 the Guix authors License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for guix is maintained as a Texinfo manual. If the info and guix programs are properly installed at your site, the command

    info guix

should give you access to the complete manual.